@if "%debug%"=="" echo off
rem ---------------------------------------------------------------
rem %sndrive%\usr\lib\snuupm\distrib.bat
rem -----------------------------
rem
rem  Create a .ZIP file for the distribution of UUPMSN
rem  Provide a 2-digit version number for the .ZIP file by altering
rem  the snu_vers environment variable.
rem ---------------------------------------------------------------
rem  Set the version number into SNU_VERS and into the SNUUPMXX.DOC file
rem ---------------------------------------------------------------
set snu_vers=21

if exist %editor% %editor% %sndrive%\usr\lib\snuupm\active.bat

rem ---------------------------------------------------------------
rem  Check for the existence of SNUUPMXX.DOC
rem ---------------------------------------------------------------
if exist %sndrive%\snuupmxx.doc goto got_doc
echo You need to have the file %sndrive%\SNUUPMXX.DOC in order to create a
echo distribution .ZIP file.
goto end

:got_doc
copy %sndrive%\snuupmxx.doc %sndrive%\snuupm%snu_vers%.doc

rem ---------------------------------------------------------------
rem  Check for the existence of SNUUPMXX.BAT
rem ---------------------------------------------------------------
if exist %sndrive%\snuupmxx.bat goto got_bat
echo You need to have the file %sndrive%\SNUUPMXX.BAT in order to create a
echo distribution .ZIP file.
goto end

:got_bat
copy %sndrive%\snuupmxx.bat %sndrive%\install.bat

rem ---------------------------------------------------------------
rem  Create the file SNUUPM.ZIP according to the contents of DISTRIB.FIL
rem  Preserve the path (-P) for subsequent installing.
rem ---------------------------------------------------------------
pkzip -P %sndrive%\snuupm.zip @%sndrive%\usr\lib\snuupm\distrib.fil
if errorlevel 1 goto fail

rem ---------------------------------------------------------------
rem  Create the file SNUUPMxx.ZIP with SNUUPMxx.DOC, SNUUPM.ZIP and INSTALL.BAT
rem ---------------------------------------------------------------
pkzip %sndrive%\snuupm%snu_vers%.zip %sndrive%\snuupm%snu_vers%.doc %sndrive%\snuupm.zip %sndrive%\install.bat
if errorlevel 1 goto fail

del %sndruve%\snuupm%snu_vers%.doc
del %sndrive%\snuupm.zip
del %sndrive%\install.bat
goto end

:fail
echo Run failed for some reason or other
pause
goto end

:end
set snu_vers=
rem ----ends-------------------------------------------------------
